---
title: "Saves a card for the customer's place on a paid event's waitlist, charged if the seller lets them in: answers the setup to confirm, then keeps the card once confirmed."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › checkout

`POST /v1/stores/{store}/products/{product}/waitlist/card`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `checkout:write`

## Path parameters

- `store` (`saveWaitlistCard.path.store`; string, required) — A hostname of the store.
- `product` (`saveWaitlistCard.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Request body

_Optional._

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/waitlist/card' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/waitlist/card';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/waitlist/card"

payload = {}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Saves a card for the customer's place on a paid event's waitlist, charged if the seller lets them in: answers the setup to confirm, then keeps the card once confirmed.

#### Example

```json
{
  "status": "saved"
}
```

Any of:

- `object`
- `object`

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`saveWaitlistCard.response.default.type`; string, required)
  - format `uri`
- `title` (`saveWaitlistCard.response.default.title`; string, required)
- `status` (`saveWaitlistCard.response.default.status`; integer, required)
- `detail` (`saveWaitlistCard.response.default.detail`; string, required)
- `code` (`saveWaitlistCard.response.default.code`; string, optional)
- `context` (`saveWaitlistCard.response.default.context`; object, optional)
- `reached_core` (`saveWaitlistCard.response.default.reached_core`; boolean, optional)
- `core_answer` (`saveWaitlistCard.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/save-waitlist-card/index.md
